If your cardholder has a dispute based on cancelled goods or services, and they made efforts to contact the merchant responsible for providing those goods or services without resolution, they can ask you to raise a dispute on their behalf.
Before you raise a dispute on behalf of a cardholder, make sure the merchant has not already provided a refund for the disputed transaction.
Requirements
Before you begin, take into account the requirements, limitations, and preparations described under Raise disputes.
1. Raise a cancelled dispute
-
Find the transaction ID for which you want to raise the dispute.
You can find a transaction ID in one of the following locations:- within the Balance Platform Accounting Report
- from the Customer Area
- from Transfer webhooks
-
Make a POST /disputes request, specifying the following parameters:
Parameter Type Required Description description string Your reference for the dispute. The description appears in dispute webhooks for your information. Do not include any personally-identifiable information (PII) in this field. Maximum length: 50 characters. disputedAmount object The amount for which you dispute the transaction. The disputed amount cannot be greater than the transaction amount. If you do not provide an amount, the entire transaction amount will be disputed. disputedAmount.currency string The three-character ISO currency code. Required if the disputedAmountobject is included with the dispute.disputedAmount.value integer The amount of the transaction, in minor units. Required if the disputedAmountobject is included with the dispute.cancelledInfoobject 
The object containing additional information for raising a dispute of typecancelled. Required for disputes oftypecancelled.cancelledInfo.attemptedToReturnboolean Indicates if the cardholder attempted to return the merchandise but was unable to.Possible values: - true
- false
didCardholderReturnis false.If the value of this parameter is true, provide information indescriptionOfIssueabout how the cardholder attempted to return the goods, and what they did with the goods (for example, destroyed them).cancelledInfo.certificationGuaranteedReservationstring The certification code for the guaranteed reservation.Required if the value of serviceTypeis G (a guaranteed reservation).Possible values:- GR: The cardholder properly cancelled the guaranteed reservation.
- RC: The cardholder attempted to cancel within 24 hours of delivery of the reservation confirmation.
- AR: The merchant billed a "no-show transaction" for more than one day's accommodation or rental. </ul
cancelledInfo.dateOfAttemptedReturnstring The date, in YYYY-MM-DD format, when the cardholder attempted to return the goods they purchased.Required when the value of attemptedToReturnis true.cancelledInfo.dateOfCancellationstring The date, in YYYY-MM-DD format, when the purchase was cancelled.Required if the value of certificationGuaranteedReservationis GR or RC, or if the cardholder cancelled the purchase before shipment.cancelledInfo.dateOfReturnstring The date, in YYYY-MM-DD format, that the cardholder shipped or handed back the merchandise.Required if the value of didCardholderReturnis true.cancelledInfo.dateOfServicestring The date, in YYYY-MM-DD format, that the service was scheduled to take place.Required if the value of serviceTypeis O (other), or G (guaranteed reservation).cancelledInfo.dateReturnReceivedstring The date, in YYYY-MM-DD format, that the merchant received the returned merchandise.Required if the value of didCardholderReturnis true.cancelledInfo.descriptionOfIssuestring 
Your description of the issue for raising a dispute of typecancelled. Make sure the cardholder provides information that covers the following:- A description of the goods or services purchased, and why they are cancelling the purchase.
- If the goods or services were cancelled before shipment: A description of how the cardholder attempted to cancel the goods or services.
- If the cardholder attempted to return the goods: A description of how the cardholder attempted to return the goods, and what they did with the goods (for example, destroyed them).
- If the cardholder attempted to return the goods in a way other than through direct return shipment or face-to-face return at a merchant, how they attempted to return the goods.
cancelledInfo.didCardholderCancelBeforeShipmentboolean Indicates if the cardholder cancelled the purchase before the goods were shipped.Possible values: - true
- false
descriptionOfIssueabout how the cardholder attempted to cancel the goods or services.cancelledInfo.didCardholderReceiveGoodsboolean Indicates if the cardholder received the merchandise.Possible values: - true
- false
goodsOrServicesis goods.cancelledInfo.didCardholderReturnboolean Indicates if the cardholder returned the merchandise to the merchant.Possible values: - true
- false
didCardholderReceiveGoodsis true.cancelledInfo.goodsOrServicesstring 
The type of purchase being disputed.Possible values: - goods
- services
cancelledInfo.lastExpectedDatestring The date, in YYYY-MM-DD format, that the merchant promised delivery. cancelledInfo.merchantRefuseAdvisestring The reason the merchant gave for refusing the return.Required if the value of attemptedToReturnis true.Possible values:- MRRA: The merchant refused to provide return authorization.
- MRRM: The merchant refused to accept returned merchandise.
- MICNRM: The merchant informed cardholder not to return the merchandise.
cancelledInfo.returnMethodstring The method used to return the merchandise. Required if the value of didCardholderReturnis true.Possible values:- FF: Face to face
- FE: FedEx
- D: DHL
- U: UPS
- P: Postal Service
- O: Other
descriptionOfIssueabout how the cardholder attempted to return the goods or services.cancelledInfo.serviceTypestring The type of service purchased.Required if the value of goodsOrServicesis services.Possible values:- T: timeshare
- G: guaranteed reservation (for example, a hotel or a car rental booking)
- O: any other type of service.
cancelledInfo.shippingTrackingNumberstring The tracking number for the shipment used to return the merchandise.Maximum length: 50. cancelledInfo.timeshareDatestring The date, in YYYY-MM-DD format, associated with the timeshare purchase.Required if the value of serviceTypeis T (timeshare)..cancelledInfo.whoCancelledstring The party that initiated the cancellation of the purchase.Required if the value of serviceTypeis G (a guaranteed reservation), the cardholder did not receive the goods, or the cardholder cancelled before shipment.Possible values:- cardholder
- merchant
transactionId string 
The unique reference of the transaction for which you are raising the dispute. type string 
The type of the dispute. When raising a dispute for cancelled goods or services, the value must be cancelled. -
Make a note of the dispute id in the response. You need this ID to provide supporting information as an attachment, update the dispute, submit the dispute for cancelled goods or services, close the dispute, or follow the lifecycle of the dispute.
The response includes the following additional parameters:
Parameter Type Description arn string The unique Acquirer Reference Number (arn) generated by the card scheme for each capture. You can use the arnto trace the transaction through its lifecycle.id string The unique identifier of the raised dispute. status string The current status of the dispute. You can update a dispute to submitted or closed. Possible values: draft, submitted, closed, won, chargeback, secondPresentment. Adyen sends a balancePlatform.dispute.created webhook to your server for the dispute with a status of draft.
2. Upload attachments (optional)
We recommend that your cardholder upload supporting documentation, such as receipts, communication with a merchant, or any additional documents that would help the card scheme when they are reviewing the dispute.
When you present the screen to cardholders to upload attachments, make sure they know which file types we support (JPEG, PDF, TIFF).
-
Base64-encode any attachments the cardholder provides for upload with their dispute.
-
Make a POST /disputes/{disputeId}/attachments request, specifying the disputeId as a path parameter and the following request parameters.
Parameter name Type Required Description attachmentType string 
The type of information contained in the attachment.
Possible values:- receipt
- correspondence
- other
fileName string 
The name of the attachment, including its filename extension. Minimum length: four characters, Maximum length: 17 characters, including the extension type.
Supported filename extensions:- jpeg
- tiff
- airfare24_03.jpeg
- hotel24_0315.jpeg
content string 
The content of the image. An attachment must be Base64-encoded data, with a maximum file size of 2 MB. -
In the response, note the attachmentId. You need the ID if you want to later get the attachment, or delete the attachment.
Parameter name Type Description attachmentId string The unique identifier of the attachment.
3. Review the dispute
You should allow your cardholder to review their dispute. This allows the cardholder time to make sure they have captured all information correctly. The cardholder can then confirm they want you to submit the dispute to the card scheme on their behalf, or decide to make edits to their dispute.
-
Make a
GET /disputes/{id}request, specifying the disputeidas a request parameter. -
Present the details of the dispute to your cardholder.
4. Edit dispute details (optional)
If the cardholder wants to make any changes to the information they provided in their dispute, you can make a request to update the dispute.
-
To update information in your dispute, make a PATCH /disputes/{id} request, specifying the dispute id as a path parameter, and supplying updated information in the following request parameters:
You do not have to provide the complete dispute object in your PATCH request.
Parameter Type Description cancelledInfoobject The object containing additional information for raising a dispute of typecancelled. Required for disputes oftypecancelled.cancelledInfo.attemptedToReturnboolean Indicates if the cardholder attempted to return the merchandise but was unable to.Possible values: - true
- false
didCardholderReturnis false.If the value of this parameter is true, provide information indescriptionOfIssueabout how the cardholder attempted to return the goods, and what they did with the goods (for example, destroyed them).cancelledInfo.certificationGuaranteedReservationstring The certification code for the guaranteed reservation.Required if the value of serviceTypeis G (a guaranteed reservation).Possible values:- GR: The cardholder properly cancelled the guaranteed reservation.
- RC: The cardholder attempted to cancel within 24 hours of delivery of the reservation confirmation.
- AR: The merchant billed a "no-show transaction" for more than one day's accommodation or rental. </ul
cancelledInfo.dateOfAttemptedReturnstring The date, in YYYY-MM-DD format, when the cardholder attempted to return the goods they purchased.Required when the value of attemptedToReturnis true.cancelledInfo.dateOfCancellationstring The date, in YYYY-MM-DD format, when the purchase was cancelled.Required if the value of certificationGuaranteedReservationis GR or RC, or if the cardholder cancelled the purchase before shipment.cancelledInfo.dateOfReturnstring The date, in YYYY-MM-DD format, that the cardholder shipped or handed back the merchandise.Required if the value of didCardholderReturnis true.cancelledInfo.dateOfServicestring The date, in YYYY-MM-DD format, that the service was scheduled to take place.Required if the value of serviceTypeis O (other), or G (guaranteed reservation).cancelledInfo.dateReturnReceivedstring The date, in YYYY-MM-DD format, that the merchant received the returned merchandise.Required if the value of didCardholderReturnis true.cancelledInfo.descriptionOfIssuestring Your description of the issue for raising a dispute of typecancelled. Make sure the cardholder provides information that covers the following:- A description of the goods or services purchased, and why they are cancelling the purchase.
- If the goods or services were cancelled before shipment: A description of how the cardholder attempted to cancel the goods or services.
- If the cardholder attempted to return the goods: A description of how the cardholder attempted to return the goods, and what they did with the goods (for example, destroyed them).
- If the cardholder attempted to return the goods in a way other than through direct return shipment or face-to-face return at a merchant, how they attempted to return the goods.
cancelledInfo.didCardholderCancelBeforeShipmentboolean Indicates if the cardholder cancelled the purchase before the goods were shipped.Possible values: - true
- false
descriptionOfIssueabout how the cardholder attempted to cancel the goods or services.cancelledInfo.didCardholderReceiveGoodsboolean Indicates if the cardholder received the merchandise.Possible values: - true
- false
goodsOrServicesis goods.cancelledInfo.didCardholderReturnboolean Indicates if the cardholder returned the merchandise to the merchant.Possible values: - true
- false
didCardholderReceiveGoodsis true.cancelledInfo.goodsOrServicesstring The type of purchase being disputed.Possible values: - goods
- services
cancelledInfo.lastExpectedDatestring The date, in YYYY-MM-DD format, that the merchant promised delivery. cancelledInfo.merchantRefuseAdvisestring The reason the merchant gave for refusing the return.Required if the value of attemptedToReturnis true.Possible values:- MRRA: The merchant refused to provide return authorization.
- MRRM: The merchant refused to accept returned merchandise.
- MICNRM: The merchant informed cardholder not to return the merchandise.
cancelledInfo.returnMethodstring The method used to return the merchandise. Required if the value of didCardholderReturnis true.Possible values:- FF: Face to face
- FE: FedEx
- D: DHL
- U: UPS
- P: Postal Service
- O: Other
descriptionOfIssueabout how the cardholder attempted to return the goods or services.cancelledInfo.serviceTypestring The type of service purchased.Required if the value of goodsOrServicesis services.Possible values:- T: timeshare
- G: guaranteed reservation (for example, a hotel or a car rental booking)
- O: any other type of service.
cancelledInfo.shippingTrackingNumberstring The tracking number for the shipment used to return the merchandise.Maximum length: 50. cancelledInfo.timeshareDatestring The date, in YYYY-MM-DD format, associated with the timeshare purchase.Required if the value of serviceTypeis T (timeshare).cancelledInfo.whoCancelledstring The party that initiated the cancellation of the purchase.Required if the value of serviceTypeis G (a guaranteed reservation), the cardholder did not receive the goods, or the cardholder cancelled before shipment.Possible values:- cardholder
- merchant
status string The status of the dispute. You can update the status of a raised dispute from draft to submitted or closed. Possible values: submitted, closed. -
Present the updated dispute details from the response to your cardholder.
5. Submit the dispute
If your cardholder is satisfied with the information they provided for the dispute, they can confirm they want you to submit the dispute to the card scheme for review and a chargeback, if successful.
When you submit a dispute to the card scheme, you can no longer update the dispute, upload or delete attachments, or close the dispute.
-
Make a PATCH /disputes/{id} request, specifying the dispute id as a path parameter, and include status with a value of submitted as a request parameter.
A successful response includes the dispute object, with an updated status of submitted. Adyen also sends your system a balancePlatform.dispute.updated webhook with the updated status.
-
Notify the cardholder that their dispute has been submitted.
6. Process webhooks for status changes
-
Process balancePlatform.dispute.updated webhooks, looking for changes in the status of your raised dispute.
-
If the
statusof a dispute changes to chargeback or secondPresentment, inspect balancePlatform.transfer.created webhooks for the matching Acquirer Reference Number (arn), and reconcile balances for the cardholder's balance account.- Lifecycle of a raised dispute describes in more detail how status changes for disputes are communicated to your system through Adyen webhooks, and how balance mutations are recorded in the Balance Platform Accounting Report.
- Associating IDs throughout the dispute lifecycle describes the various IDs you should refer to when correlating original transactions, acquirer reference numbers, and dispute IDs to your raised disputes.